#ifndef ADS_H
#define ADS_H

#include <Arduino.h>
#include <Wire.h>
//#include "web_server.h"

// Declarations
extern int8_t Pressure_enable[4];
extern float pressure[4], temperature[4];


uint16_t readADS(uint8_t channel, uint8_t cnt);
int32_t computeTemp_15bit(uint16_t adcRez);
uint16_t G_to_alc(uint16_t G);
uint16_t Alc_to_G(uint16_t Alc);
uint16_t T_to_ADS(float t); 
void ADS_Construct();
void EEPROM_Init();
void ReadPressure();
void RotatePSensor();
void ADS_Init();
void ADS_Loop();

#endif