#ifndef OLED_DISPLAY_H
#define OLED_DISPLAY_H

#include <Arduino.h>
#include "Izm_config.h"
#include <ASOLED_ESP8266.h>

extern char outstr[8]; // Объявление без выделения памяти

void initOLED();
bool EnterPressed();
bool SelectPressed();
void Caption(uint8_t Cap, uint8_t Str);
void PrintPar(const char* Name, uint8_t Str, uint8_t r, float Par);
bool Select();
void EnterJump(uint8_t disp);
void InputPar(float& Par, float dPar);
void PrintTemp(uint8_t i, const char* Name, uint8_t Str);
void PrintTempSmall(uint8_t i, const char* Name, uint8_t Str, uint8_t Col);
void spiker();
void disp();

#endif